
From: Domen Puncer <domen@coderock.org>

Code looks like it intended to parse "%%" in pattern string as "%".  Fix
it, so it really does that.

Compile and run tested.

Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/lib/parser.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN lib/parser.c~lib-parser-fix-%%-parsing lib/parser.c
--- 25/lib/parser.c~lib-parser-fix-%%-parsing	2004-11-07 23:55:21.698766824 -0800
+++ 25-akpm/lib/parser.c	2004-11-07 23:55:21.702766216 -0800
@@ -47,6 +47,7 @@ static int match_one(char *s, char *p, s
 		else if (*p == '%') {
 			if (*s++ != '%')
 				return 0;
+			p++;
 			continue;
 		}
 
_
